#ifndef TIMER_COUNT_H
#define TIMER_COUNT_H

#include <stdint.h>
#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/sys/printk.h>
#include <zephyr/drivers/gpio.h>

#include <hal/nrf_gpio.h>

#define STATE_DISABLED 0
#define STATE_RUNNING 1
#define STATE_FINISHED 2

void configure_clock_pin(uint32_t);
void TIMER1_IRQHandler(void);
void configure_measurement();
void make_measurement();
uint32_t read_measurement();

# endif
